
-- Horizont pro EdgeTX kresleny pro rx SR (X,Y)

local picture = Bitmap.open("/WIDGETS/Hzont50/img/mask625.png")
local podklad = Bitmap.open("/WIDGETS/Hzont50/img/podl63.png")

local Sx=82  
local Sy=71  

-- 1=YELLOW, 2=WHITE, 3=RED, 4=GREEN, 5=BLUE, 6=BLACK
local barva = {YELLOW, WHITE, RED, GREEN, BLUE, BLACK}

local options = {
  {"kalX", VALUE, 0, -25, 25},  -- nastavení nuly 
  {"kalY", VALUE, 0, -25, 25},
  {"barvaTxt", VALUE, 2, 1, 6},
  {"invK", BOOL, 0},            -- opačný sklon
  {"invV", BOOL, 0}
 }

-----------------------------------------------------
local function create(zone, options)
 local wgt = {zone = zone, options = options}
return wgt
end
-------------------------------------------------------
local function update(wgt, options)
  if (wgt == nil) then
    return
  end
 wgt.options = options
end
---------------------------------------------
local function background(wgt)
  return
end
--------------------------------------------------------
function round(num, decimals)
  local mult = 10^(decimals or 0)
  return math.floor(num * mult + 0.5) / mult
end
--------------------------------------------------------
--------------------------------------------------------
function refresh(wgt)

if (wgt == nil) then
  return
end
if (wgt.options == nil) then
  return
end
if wgt.zone.h < 120 then 
  lcd.drawText(wgt.zone.x+2,wgt.zone.y+5,"Vyjmout!")
  return
end

local vys = 0
local kri = 0
local Xo = Sx-31   
local Yo = Sy-8    
-------------------------------------------
kri = getValue("AccY")    
kri = (kri*90) + wgt.options.kalX 
if wgt.options.invK==1 then kri = 0 - kri end
     
vys = getValue("AccX")     
vys = (vys*90) + wgt.options.kalY
if wgt.options.invV==1 then vys = 0 - vys end

kri=math.floor(kri)
vys=math.floor(vys)

--------------------------------------
if vys>25 then vys=25 end
if vys<-25 then vys=-25 end

local minus=0
if kri<0 then minus=1 end

if kri>25 then kri=25 end
if kri<-25 then kri=-25 end
  
---------------------------------------------


local pkri=math.abs(kri) 
local Hy=Sy-pkri-vys     
local Hkri=2*pkri         
local Dy=Hy+Hkri      
 

------------------------------------------- 
lcd.drawBitmap(podklad,Sx-76,Sy-52) 
if pkri>0 then 
 if minus==0 then       -- x  y   x   y    x    y
   lcd.drawFilledTriangle(9, Dy, 109, Dy, 109, Hy , YELLOW)
 else
   lcd.drawFilledTriangle(9, Dy, 9, Hy, 109, Dy , YELLOW)  
 end
end
lcd.drawFilledRectangle(9, Dy, 101, 122-Dy, YELLOW)
---------------------------------------------------
lcd.drawBitmap(picture,Sx-78,Sy-54) 
      
--------------------------------------------------
-- tisky hodnot
lcd.setColor(CUSTOM_COLOR, barva[wgt.options.barvaTxt])
local vyska = getValue("Alt")
  if vyska<100 then 
    lcd.drawText(Sx+40, Sy-37, "Alt:  "..round(vyska).." m", CUSTOM_COLOR + SHADOWED) 
  else
    lcd.drawText(Sx+40, Sy-37, "Alt: "..round(vyska).." m", CUSTOM_COLOR + SHADOWED)
  end

local rssi = getValue("RSSI")
local vfr =  getValue("VFR")
local nap =  getValue("VFAS")

lcd.drawText(Sx+40, Sy-18, "Bat:"..round(nap,1).." V", CUSTOM_COLOR + SHADOWED) 
lcd.drawText(Sx+40, Sy+1, "RSSI:  "..round(rssi), CUSTOM_COLOR + SHADOWED)
lcd.drawText(Sx+40, Sy+20, "VFR:   "..round(vfr), CUSTOM_COLOR + SHADOWED)     
-------------------------------------------------------- 

lcd.setColor(LINE_COLOR, GREY)
return
end

return {
  name = "Hzont50",
  options = options,
  create = create,
  update = update,
  background = background,
  refresh = refresh
}